/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#include "Config.h"
#include "ConfigImpl.h"
#include "nlohmann/json.hpp"
#include <fstream>
#include <iostream>
#include <memory>
#include <string>
#include <vector>

namespace mirai
{

Config::~Config() = default;

Config::Config(const std::string &path) : impl_(new ConfigImpl(path))
{
}

std::vector<std::string> Config::sources() const
{
	return impl_->sources();
}

}; // namespace mirai
